## akonadi 1.13.0

=== debian/changelog ===
akonadi (1.13.0-2ubuntu4) vivid; urgency=medium

  * debian/rules: re-enable the override_dh_installinit target, disabled
    in an earlier merge from debian. This allows dh-apparmor to create
    the postinst for the akonadi-backend-mysql package, which creates
    the missing part of that package's apparmor profile at install time
    (LP: #1440501)

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 15 Apr 2015 10:48:33 -0700

akonadi (1.13.0-2ubuntu3) vivid; urgency=medium

  * Still prefer mysql 5.6, but allow any mysql implementation that provides
    virtual-mysql-server-core and virtual-mysql-client-core
    (LP: #1336005)
  * Force dependency on akonadi-backend-mysql for akonadi-server.
    (was accidentally dropped in the last debian merge)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 15 Apr 2015 16:57:20 +0200

akonadi (1.13.0-2ubuntu2) vivid; urgency=medium

  * Allow using mariadb 10.0 as backend for akonadi-backend-mysql
    (LP: #1441119)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 09 Apr 2015 18:25:44 +0200

akonadi (1.13.0-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 or *5.6 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.
    - Keep debian/libakonadiprotocolinternals1.symbols from Ubuntu
    - Add Kubuntu to the maintainers as we are moving to debian git.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 31 Oct 2014 14:50:27 +0000

akonadi (1.13.0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Bump the priority of all the binaries, except akonadi-dbg, to optional
    (as other packages depend on them).

  [ Maximiliano Curia ]
  * New upstream patch: upstream-fix_typo_in_if_condition
  * New upstream patch: upstream-
    fix_buffer_overflow_in_AKTEST_FAKESERVER_MAIN
  * New upstream patch: upstream-
    do_not_crash_when_setmntent_returns_NULL
  * Update symbols files from buildds logs (1.13.0-1).
  * New upstream patch: upstream_dont_call_insert_from_Q_ASSERT
  * libakonadi-dev: Add libqt4-dev Dependency.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Sep 2014 11:04:57 +0200

akonadi (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patches.
  * Update symbols file.
  * Add missing breaks for kdepim-runtime << 4:4.13. (Closes: #749776)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Aug 2014 21:01:28 +0200

=== debian/control ===
Source: akonadi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: automoc,
               cmake (>= 2.8.8),
               debhelper (>= 9),
               dh-apparmor,
               libboost-program-options-dev,
               libdbus-1-dev,
               libmysqlclient-dev,
               libqt4-dev (>= 4:4.8.0),
               libsoprano-dev (>= 2.7.56),
               libsqlite3-dev (>= 3.6.23),
               libxslt-dev,
               pkg-kde-tools (>= 0.12),
               shared-mime-info (>= 0.20),
               xsltproc
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/akonadi.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/akonadi.git

Package: akonadi-server
Section: net
Architecture: any
Depends: akonadi-backend-mysql (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: akonadi-backend-mysql (= ${source:Version}),
          akonadi-backend-postgresql (= ${source:Version}),
          akonadi-backend-sqlite (= ${binary:Version})
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.

Package: libakonadiprotocolinternals1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: akonadi-server (= ${binary:Version})
Replaces: libakonadiprivate1 (<< 1.4.90)
Breaks: kdepim-runtime (<< 4:4.13), libakonadiprivate1 (<< 1.4.90)
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libakonadi-dev
Section: libdevel
Architecture: any
Depends: libakonadiprotocolinternals1 (= ${binary:Version}),
         libboost-dev,
         libqt4-dev (>= 4:4.8.0),
         ${misc:Depends}
Suggests: pkg-config
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: libqt4-sql-mysql,
         mysql-client-core-5.6 | virtual-mysql-client-core,
         mysql-server-core-5.6 | virtual-mysql-server-core,
         ${misc:Depends}
Recommends: akonadi-server
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL
 database is supported as well.

Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: libqt4-sql-psql, ${misc:Depends}
Recommends: akonadi-server, postgresql
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-sqlite
Section: misc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: akonadi-server
Description: SQLite storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with SQLite
 as underlying data storage engine. Since SQLite is an embedded database
 engine, a separate SQL server daemon is not necessary.
 .
 In addition, the package contains an improved QSql driver for SQLite named
 "QSQLite3". It can be used by any application that needs to access SQLite
 databases via standard Qt QSql framework.

Package: akonadi-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: debugging symbols for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains debugging files used to investigate problems with
 the Akonadi PIM storage service.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))

override_dh_auto_configure:
	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON \
	    -DCONFIG_INSTALL_DIR=/etc

override_dh_installinit:
	$(overridden_command)
	dh_apparmor -pakonadi-backend-mysql --profile-name=usr.sbin.mysqld-akonadi

override_dh_installdocs:
	# Install README.Debian to backend packages
	$(overridden_command) -A -pakonadi-server $(foreach p,$(backend_packages),-p$(p)) debian/README.Debian
	$(overridden_command) --remaining-packages

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=akonadi-dbg

override_dh_auto_test:
	# Avoid tests extra build dependencies, check them with autopkgtests

=== debian/watch ===
version=3
http://download.kde.org/stable/akonadi/src/akonadi-([\d.]+).tar.xz

## akonadi 15.08.2

=== debian/changelog ===
akonadi (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:44:36 +0100

akonadi (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:01:55 +0100

akonadi (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:52:58 +0100

akonadi (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:53:42 +0100

akonadi (1.13.0-2ubuntu5) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 11:57:02 +0100

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,20 @@
                cmake (>= 2.8.8),
                debhelper (>= 9),
                dh-apparmor,
-               libboost-program-options-dev,
-               libdbus-1-dev,
+               extra-cmake-modules (>= 5.12.0),
                libmysqlclient-dev,
-               libqt4-dev (>= 4:4.8.0),
-               libsoprano-dev (>= 2.7.56),
                libsqlite3-dev (>= 3.6.23),
-               libxslt-dev,
+               libxml2-utils,
+               pkg-config,
                pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.2.0),
                shared-mime-info (>= 0.20),
                xsltproc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://pim.kde.org/akonadi
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/akonadi.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/akonadi.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akonadi.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akonadi.git
 
 Package: akonadi-server
 Section: net
@@ -32,8 +31,7 @@
 Depends: akonadi-backend-mysql (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: akonadi-backend-mysql (= ${source:Version}),
-          akonadi-backend-postgresql (= ${source:Version}),
+Suggests: akonadi-backend-postgresql (= ${source:Version}),
           akonadi-backend-sqlite (= ${binary:Version})
 Description: Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
@@ -42,12 +40,10 @@
  .
  This package contains the Akonadi PIM storage server and associated programs.
 
-Package: libakonadiprotocolinternals1
+Package: libkf5akonadiprivate5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: akonadi-server (= ${binary:Version})
-Replaces: libakonadiprivate1 (<< 1.4.90)
-Breaks: kdepim-runtime (<< 4:4.13), libakonadiprivate1 (<< 1.4.90)
 Description: libraries for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -55,14 +51,10 @@
  .
  This package contains libraries used by the Akonadi PIM storage service.
 
-Package: libakonadi-dev
+Package: libkf5akonadiserver-dev
 Section: libdevel
 Architecture: any
-Depends: libakonadiprotocolinternals1 (= ${binary:Version}),
-         libboost-dev,
-         libqt4-dev (>= 4:4.8.0),
-         ${misc:Depends}
-Suggests: pkg-config
+Depends: libkf5akonadiprivate5 (= ${binary:Version}), ${misc:Depends}
 Description: development files for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -74,7 +66,7 @@
 Package: akonadi-backend-mysql
 Section: misc
 Architecture: all
-Depends: libqt4-sql-mysql,
+Depends: libqt5sql5-mysql,
          mysql-client-core-5.6 | virtual-mysql-client-core,
          mysql-server-core-5.6 | virtual-mysql-server-core,
          ${misc:Depends}
@@ -94,7 +86,7 @@
 Package: akonadi-backend-postgresql
 Section: misc
 Architecture: all
-Depends: libqt4-sql-psql, ${misc:Depends}
+Depends: libqt5sql5-psql, ${misc:Depends}
 Recommends: akonadi-server, postgresql
 Replaces: akonadi-server (<< 1.3.60~)
 Breaks: akonadi-server (<< 1.3.60~)
@@ -112,7 +104,7 @@
 Section: misc
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Recommends: akonadi-server
 Description: SQLite storage backend for Akonadi
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,14 @@
 export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
 export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
 
-include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
-include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
 
 backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
-	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON \
-	    -DCONFIG_INSTALL_DIR=/etc
+	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi
 
 override_dh_installinit:
 	$(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/akonadi-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/akonadi-([\d.]+).tar.xz

## akonadi 15.12.3

=== CMakeLists.txt ===
project(Akonadi)

cmake_minimum_required(VERSION 2.8.12)

# ECM setup
find_package(ECM 5.14.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(GenerateExportHeader)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(CheckIncludeFiles)
include(ECMQtDeclareLoggingCategory)

include(AkonadiMacros)

set(QT_REQUIRED_VERSION "5.2.0")
set(AKONADI_VERSION "5.1.51")

ecm_setup_version(${AKONADI_VERSION}
    VARIABLE_PREFIX AKONADI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiServerConfigVersion.cmake"
    SOVERSION 5)


# Find packages
find_package(Qt5Core ${QT_REQUIRED_VERSION} CONFIG  REQUIRED)
find_package(Qt5Gui ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5Widgets ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5Sql ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5Network ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5Xml ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)

############### Build Options ###############
option(AKONADI_BUILD_QSQLITE "Build the Sqlite backend." TRUE)
option(ENABLE_ASAN "Build Akonadi with AddressSanitzer - https://code.google.com/p/address-sanitizer/" FALSE)

set(SMI_MIN_VERSION "0.20")
find_package(SharedMimeInfo ${SMI_MIN_VERSION} REQUIRED)

find_program(XSLTPROC_EXECUTABLE xsltproc)
if(NOT XSLTPROC_EXECUTABLE)
    message(FATAL_ERROR "\nThe command line XSLT processor program 'xsltproc'  could not be found.\nPlease install xsltproc.\n")
endif()

find_program(MYSQLD_EXECUTABLE NAMES mysqld
    PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec /opt/mysql/libexec /usr/mysql/bin /opt/mysql/sbin
    DOC "The mysqld executable path. ONLY needed at runtime"
)

if(MYSQLD_EXECUTABLE)
    message(STATUS "MySQL Server found: ${MYSQLD_EXECUTABLE}")
else()
    message(STATUS "MySQL Server wasn't found. it is required to use the MySQL backend.")
endif()

find_path(POSTGRES_PATH NAMES pg_ctl
    HINTS /usr/lib${LIB_SUFFIX}/postgresql/8.4/bin
          /usr/lib${LIB_SUFFIX}/postgresql/9.0/bin
          /usr/lib${LIB_SUFFIX}/postgresql/9.1/bin
          DOC "The pg_ctl executable path. ONLY needed at runtime by the PostgreSQL backend"
)

if(POSTGRES_PATH)
    message(STATUS "PostgreSQL Server found.")
else()
    message(STATUS "PostgreSQL wasn't found. it is required to use the Postgres backend.")
endif()


if("${DATABASE_BACKEND}" STREQUAL "SQLITE")
    set(SQLITE_TYPE "REQUIRED")
else()
    set(SQLITE_TYPE "OPTIONAL")
endif()

if(AKONADI_BUILD_QSQLITE)
    set(SQLITE_MIN_VERSION 3.6.23)
    find_package(Sqlite ${SQLITE_MIN_VERSION})
    set_package_properties(Sqlite PROPERTIES
        URL "http://www.sqlite.org"
        DESCRIPTION "The Sqlite database library"
        TYPE ${SQLITE_TYPE}
        PURPOSE "Required by the Sqlite backend"
    )
endif()

find_package(Backtrace)
if(Backtrace_FOUND)
    include_directories(${Backtrace_INCLUDE_DIRS})
    add_definitions(-DHAVE_BACKTRACE)
endif()

find_program(XMLLINT_EXECUTABLE xmllint)
if(NOT XMLLINT_EXECUTABLE)
    message(STATUS "xmllint not found, skipping akonadidb.xml schema validation")
endif()

check_include_files(unistd.h HAVE_UNISTD_H)
if(HAVE_UNISTD_H)
    add_definitions(-DHAVE_UNISTD_H)
endif()

if (ENABLE_ASAN)
    find_package(ASan)
endif ()

if (IS_ABSOLUTE "${DBUS_INTERFACES_INSTALL_DIR}")
    set(AKONADI_DBUS_INTERFACES_INSTALL_DIR "${DBUS_INTERFACES_INSTALL_DIR}")
else()
    set(AKONADI_DBUS_INTERFACES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${DBUS_INTERFACES_INSTALL_DIR}")
endif()

if (IS_ABSOLUTE "${KDE_INSTALL_INCLUDEDIR_KF5}")
    set(AKONADI_INCLUDE_DIR "${KDE_INSTALL_INCLUDEDIR_KF5}")
else()
    set(AKONADI_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_INCLUDEDIR_KF5}")
endif()

############### Build Options ###############

include(CTest)  # Calls enable_testing().
include(CTestConfig.cmake)

if(NOT DEFINED DATABASE_BACKEND)
    set(DATABASE_BACKEND "MYSQL" CACHE STRING "The default database backend to use for Akonadi. Can be either MYSQL, POSTGRES or SQLITE")
endif()

############### CTest options ###############
# Set a timeout value of 1 minute per test
set(DART_TESTING_TIMEOUT 60)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake COPYONLY)

############### Macros ###############

macro(SET_DEFAULT_DB_BACKEND)
    set(_backend ${ARGV0})
    if("${_backend}" STREQUAL "SQLITE")
        set(AKONADI_DATABASE_BACKEND QSQLITE3)
        set(AKONADI_BUILD_QSQLITE TRUE)
    else()
        if("${_backend}" STREQUAL "POSTGRES")
          set(AKONADI_DATABASE_BACKEND QPSQL)
        else()
          set(AKONADI_DATABASE_BACKEND QMYSQL)
        endif()
    endif()

    message(STATUS "Using default db backend ${AKONADI_DATABASE_BACKEND}")
    add_definitions(-DAKONADI_DATABASE_BACKEND="${AKONADI_DATABASE_BACKEND}")
endmacro()

#### DB BACKEND DEFAULT ####
set_default_db_backend(${DATABASE_BACKEND})

############### Compilers flags ###############

option(CMAKE_COMPILE_GCOV "Build with coverage support." FALSE)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc" OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
    set(_ENABLE_EXCEPTIONS -fexceptions)

    # more aggressive warnings and C++11 support
    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wnon-virtual-dtor -Wundef -Wcast-align -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wformat-security -fno-common")

    file(WRITE ${CMAKE_BINARY_DIR}/cxx11_check.cpp
         "enum Enum { Value = 1 };
          struct Class {
              Class(int val) { (void)val; };
              // Delegating constructor
              Class(): Class(42) {};
              // New-style enumerator
              Class(Enum e = Enum::Value) { (void)e; };
          };
          int main() {}
        ")
    try_compile(CXX11_SUPPORTED
                ${CMAKE_BINARY_DIR}/cxx11_check
                ${CMAKE_BINARY_DIR}/cxx11_check.cpp)
    if (NOT CXX11_SUPPORTED)
        message(FATAL_ERROR "Compiler does not support all required C++11 features")
    endif()

    # debugfull target
    set(CMAKE_CXX_FLAGS_DEBUGFULL "-g3 -fno-inline" CACHE STRING "Flags used by the C++ compiler during debugfull builds." FORCE)
    set(CMAKE_C_FLAGS_DEBUGFULL   "-g3 -fno-inline" CACHE STRING "Flags used by the C compiler during debugfull builds." FORCE)
    mark_as_advanced(CMAKE_CXX_FLAGS_DEBUGFULL CMAKE_C_FLAGS_DEBUGFULL)

    # Update the documentation string of CMAKE_BUILD_TYPE for ccache & cmake-gui
    set(CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING
        "Choose the type of build, options are: None debugfull Debug Release RelWithDebInfo MinSizeRel."
        FORCE)

    if (ASAN_FOUND)
        set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_ASAN}")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_ASAN}")
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_EXE_LINKER_FLAGS_ASAN}" CACHE STRING "Flags used by the linker" FORCE)
        set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${CMAKE_SHARED_LINKER_FLAGS_ASAN}" CACHE STRING "Flags used by the linker" FORCE)
        set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${CMAKE_SHARED_LINKER_FLAGS_ASAN}" CACHE STRING "Flags used by the linker" FORCE)
        add_definitions(-DENABLE_ASAN)
    endif()

    # coverage support
    if(CMAKE_COMPILE_GCOV)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
        if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
            set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
            set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
            set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
        endif()
    endif()
endif()

if(MSVC)
    set(_ENABLE_EXCEPTIONS -EHsc)
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}")

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_KEYWORDS)
add_definitions(-DQT_USE_QSTRINGBUILDER -DQT_USE_FAST_OPERATOR_PLUS)

############### Configure files #############

configure_file(akonadi-prefix.h.cmake ${Akonadi_BINARY_DIR}/akonadi-prefix.h)
configure_file(config-akonadi.h.cmake ${Akonadi_BINARY_DIR}/config-akonadi.h)

############### build targets ###############

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    src
)

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()


############### install stuff ###############

install(FILES akonadi-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

############### CMake Config Files ###############

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5AkonadiServer")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiServerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiServerConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiServerConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiServerConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT
    KF5AkonadiServerTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5AkonadiServerTargets.cmake
    NAMESPACE KF5::)

install( FILES akonadi.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

=== src/CMakeLists.txt ===
add_subdirectory(agentserver)
add_subdirectory(akonadicontrol)
add_subdirectory(akonadictl)
if(NOT WIN32)
    add_subdirectory(asapcat)
endif()
add_subdirectory(private)
add_subdirectory(interfaces)
if(SQLITE_FOUND)
    add_subdirectory(qsqlite)
endif()
add_subdirectory(rds)
add_subdirectory(server)
add_subdirectory(shared)

=== src/agentserver/CMakeLists.txt ===
# Agent server
set(akonadi_agent_server_srcs
    agentpluginloader.cpp
    agentserver.cpp
    agentthread.cpp
    main.cpp
)

ecm_qt_declare_logging_category(akonadi_agent_server_srcs HEADER akonadiagentserver_debug.h IDENTIFIER AKONADIAGENTSERVER_LOG CATEGORY_NAME log_akonadiagentserver)

add_executable(akonadi_agent_server ${akonadi_agent_server_srcs})

target_link_libraries(akonadi_agent_server
    akonadi_shared
    KF5AkonadiPrivate
    Qt5::Core
    Qt5::DBus
    Qt5::Widgets
)

# Agent plugin launcher
set(akonadi_agent_launcher_SRCS
    agentpluginloader.cpp
    agentlauncher.cpp
    akonadiagentserver_debug.cpp
)

add_executable(akonadi_agent_launcher MACOSX_BUNDLE ${akonadi_agent_launcher_SRCS})

target_link_libraries(akonadi_agent_launcher
    akonadi_shared
    KF5AkonadiPrivate
    Qt5::Core
    Qt5::Widgets
)

if(Q_WS_MAC)
  set_target_properties(akonadi_agent_launcher PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_agent_launcher PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.agentlauncher")
  set_target_properties(akonadi_agent_launcher PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Akonadi Agent Launcher")
endif()

# Install both helper apps.
if(Q_WS_MAC)
  install(TARGETS akonadi_agent_launcher
          DESTINATION ${AKONADI_BUNDLE_PATH})
else()
  install(TARGETS akonadi_agent_launcher
          DESTINATION ${BIN_INSTALL_DIR})
endif()

install(TARGETS akonadi_agent_server
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}})

=== src/akonadicontrol/CMakeLists.txt ===
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

########### next target ###############

set(control_SRCS
    agenttype.cpp
    agentinstance.cpp
    agentprocessinstance.cpp
    agentthreadinstance.cpp
    agentmanager.cpp
    controlmanager.cpp
    main.cpp
    processcontrol.cpp
)

qt5_add_dbus_adaptor(control_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.AgentManager.xml agentmanager.h AgentManager)
qt5_add_dbus_adaptor(control_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.ControlManager.xml controlmanager.h ControlManager)
qt5_add_dbus_adaptor(control_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.AgentManagerInternal.xml agentmanager.h AgentManager)
qt5_add_dbus_interfaces(control_SRCS
    ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Agent.Control.xml
    ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Agent.Status.xml
    ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Agent.Search.xml
    ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.AgentServer.xml
    ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Resource.xml
    ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Preprocessor.xml
    ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Server.xml
)
qt5_add_dbus_interface(control_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.ResourceManager.xml resource_manager)
qt5_add_dbus_interface(control_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.PreprocessorManager.xml preprocessor_manager)

add_executable(akonadi_control ${control_SRCS})
set_target_properties(akonadi_control PROPERTIES OUTPUT_NAME akonadi_control)

if (WIN32)
    set_target_properties(akonadi_control PROPERTIES WIN32_EXECUTABLE TRUE)
    target_link_libraries(akonadi_control ${QT_QTMAIN_LIBRARY})
endif()

target_link_libraries(akonadi_control
    akonadi_shared
    KF5AkonadiPrivate
    Qt5::Core
    Qt5::DBus
    Qt5::Gui
)

install(TARGETS akonadi_control
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


configure_file(org.freedesktop.Akonadi.Control.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.Control.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.Control.service
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

=== src/private/CMakeLists.txt ===
set(akonadiprivate_SRCS
    imapparser.cpp
    imapset.cpp
    instance.cpp
    datastream_p.cpp
    externalpartstorage.cpp
    protocol.cpp
    scope.cpp
    tristate.cpp
    xdgbasedirs.cpp
    standarddirs.cpp
    dbus.cpp
)


add_library(KF5AkonadiPrivate ${akonadiprivate_SRCS})
add_library(KF5::AkonadiPrivate ALIAS KF5AkonadiPrivate)
target_link_libraries(KF5AkonadiPrivate
PUBLIC
    Qt5::Core
    Qt5::DBus
)
generate_export_header(KF5AkonadiPrivate BASE_NAME akonadiprivate)

set_target_properties(KF5AkonadiPrivate PROPERTIES
    VERSION ${AKONADI_VERSION_STRING}
    SOVERSION ${AKONADI_SOVERSION}
    EXPORT_NAME AkonadiPrivate
)

install(TARGETS
    KF5AkonadiPrivate
    EXPORT KF5AkonadiServerTargets
    ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/akonadiprivate_export.h
    standarddirs_p.h
    dbus_p.h
    imapparser_p.h
    imapset_p.h
    instance_p.h
    externalpartstorage_p.h
    protocol_p.h
    protocol_exception_p.h
    xdgbasedirs_p.h
    capabilities_p.h
    scope_p.h
    tristate_p.h
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/akonadi/private
)


### Private static library used by unit-tests ####

add_library(akonadiprivate_static STATIC ${akonadiprivate_SRCS})
target_link_libraries(akonadiprivate_static
    Qt5::Core
    Qt5::DBus
)

=== src/server/CMakeLists.txt ===
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR})

if(MYSQLD_EXECUTABLE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMYSQLD_EXECUTABLE=\"\\\"${MYSQLD_EXECUTABLE}\\\"\"")
endif()

if(POSTGRES_PATH)
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DPOSTGRES_PATH=\"\\\"${POSTGRES_PATH}\\\"\"")
endif()

########### next target ###############

set(AKONADI_DB_SCHEME ${CMAKE_CURRENT_SOURCE_DIR}/storage/akonadidb.xml)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/entities.h
         ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/entities.h
          --stringparam code header
          ${CMAKE_CURRENT_SOURCE_DIR}/storage/entities.xsl
          ${AKONADI_DB_SCHEME}
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
          --stringparam code source
          ${CMAKE_CURRENT_SOURCE_DIR}/storage/entities.xsl
          ${AKONADI_DB_SCHEME}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/storage/entities.xsl
          ${CMAKE_CURRENT_SOURCE_DIR}/storage/entities-header.xsl
          ${CMAKE_CURRENT_SOURCE_DIR}/storage/entities-source.xsl
          ${AKONADI_DB_SCHEME}
)

add_test(akonadidb-xmllint ${XMLLINT_EXECUTABLE} --noout --schema ${CMAKE_CURRENT_SOURCE_DIR}/storage/akonadidb.xsd ${CMAKE_CURRENT_SOURCE_DIR}/storage/akonadidb.xml)
add_test(akonadidbupdate-xmllint ${XMLLINT_EXECUTABLE} --noout --schema ${CMAKE_CURRENT_SOURCE_DIR}/storage/dbupdate.xsd ${CMAKE_CURRENT_SOURCE_DIR}/storage/dbupdate.xml)

akonadi_generate_schema(${AKONADI_DB_SCHEME} AkonadiSchema akonadischema)

set(libakonadiserver_SRCS
    akonadi.cpp
    commandcontext.cpp
    connection.cpp
    connectionthread.cpp
    collectionscheduler.cpp
    dbusconnectionpool.cpp
    handler.cpp
    handlerhelper.cpp
    intervalcheck.cpp
    collectionreferencemanager.cpp
    handler/akappend.cpp
    handler/copy.cpp
    handler/colcopy.cpp
    handler/colmove.cpp
    handler/create.cpp
    handler/delete.cpp
    handler/fetch.cpp
    handler/fetchhelper.cpp
    handler/link.cpp
    handler/list.cpp
    handler/login.cpp
    handler/logout.cpp
    handler/modify.cpp
    handler/move.cpp
    handler/remove.cpp
    handler/resourceselect.cpp
    handler/relationstore.cpp
    handler/relationremove.cpp
    handler/relationfetch.cpp
    handler/search.cpp
    handler/searchhelper.cpp
    handler/searchpersistent.cpp
    handler/searchresult.cpp
    handler/status.cpp
    handler/store.cpp
    handler/tagappend.cpp
    handler/tagfetch.cpp
    handler/tagfetchhelper.cpp
    handler/tagremove.cpp
    handler/tagstore.cpp
    handler/transaction.cpp
    search/agentsearchengine.cpp
    search/agentsearchinstance.cpp
    search/searchtaskmanager.cpp
    search/searchtaskmanagerthread.cpp
    search/searchrequest.cpp
    search/searchmanager.cpp

    storage/collectionqueryhelper.cpp
    storage/collectionstatistics.cpp
    storage/entity.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/akonadischema.cpp
    storage/datastore.cpp
    storage/dbconfig.cpp
    storage/dbconfigmysql.cpp
    storage/dbconfigpostgresql.cpp
    storage/dbconfigsqlite.cpp
    storage/dbexception.cpp
    storage/dbinitializer.cpp
    storage/dbinitializer_p.cpp
    storage/dbintrospector.cpp
    storage/dbintrospector_impl.cpp
    storage/dbupdater.cpp
    storage/dbtype.cpp
    storage/itemqueryhelper.cpp
    storage/itemretriever.cpp
    storage/itemretrievalmanager.cpp
    storage/itemretrievalthread.cpp
    storage/itemretrievaljob.cpp
    storage/notificationcollector.cpp
    storage/parthelper.cpp
    storage/parttypehelper.cpp
    storage/query.cpp
    storage/querybuilder.cpp
    storage/querycache.cpp
    storage/queryhelper.cpp
    storage/schematypes.cpp
    storage/tagqueryhelper.cpp
    storage/transaction.cpp
    storage/parthelper.cpp
    storage/partstreamer.cpp
    storage/storagedebugger.cpp
    tracer.cpp
    utils.cpp
    dbustracer.cpp
    filetracer.cpp
    notificationmanager.cpp
    notificationsource.cpp
    resourcemanager.cpp
    cachecleaner.cpp
    debuginterface.cpp
    preprocessorinstance.cpp
    preprocessormanager.cpp
    storagejanitor.cpp
)

set(akonadiserver_SRCS
    main.cpp
)
ecm_qt_declare_logging_category(akonadiserver_SRCS HEADER akonadiserver_debug.h IDENTIFIER AKONADISERVER_LOG CATEGORY_NAME log_akonadiserver)
qt5_generate_dbus_interface(debuginterface.h org.freedesktop.Akonadi.DebugInterface.xml)

qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.TracerNotification.xml dbustracer.h Akonadi::Server::DBusTracer)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Tracer.xml tracer.h Akonadi::Server::Tracer)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.NotificationManager.xml notificationmanager.h Akonadi::Server::NotificationManager)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Server.xml akonadi.h Akonadi::Server::AkonadiServer)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.NotificationSource.xml notificationsource.h Akonadi::Server::NotificationSource)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.StorageDebugger.xml storage/storagedebugger.h Akonadi::Server::StorageDebugger)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.DebugInterface.xml debuginterface.h Akonadi::Server::DebugInterface)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.ResourceManager.xml resourcemanager.h Akonadi::Server::ResourceManager)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.PreprocessorManager.xml preprocessormanager.h Akonadi::Server::PreprocessorManager)
qt5_add_dbus_adaptor(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.SearchManager.xml search/searchmanager.h Akonadi::Server::SearchManager)
qt5_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.AgentManager.xml agentmanagerinterface)
qt5_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Resource.xml resourceinterface)
qt5_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Preprocessor.xml preprocessorinterface)
qt5_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Agent.Control.xml agentcontrolinterface)
qt5_add_dbus_interface(libakonadiserver_SRCS ${Akonadi_SOURCE_DIR}/src/interfaces/org.freedesktop.Akonadi.Agent.Search.xml agentsearchinterface)

qt5_add_resources(libakonadiserver_SRCS storage/akonadidb.qrc)

add_library(libakonadiserver STATIC ${libakonadiserver_SRCS})
target_link_libraries(libakonadiserver
    akonadi_shared
    KF5AkonadiPrivate
    Qt5::Core
    Qt5::Network
    Qt5::Sql
    Qt5::DBus
    Qt5::Xml
)

add_executable(akonadiserver ${akonadiserver_SRCS})
set_target_properties(akonadiserver PROPERTIES OUTPUT_NAME akonadiserver)
target_link_libraries(akonadiserver
    libakonadiserver
)

install(TARGETS akonadiserver
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
  storage/mysql-global.conf
  storage/mysql-global-mobile.conf
  DESTINATION ${CONFIG_INSTALL_DIR}/akonadi
)

install(FILES
  search/abstractsearchplugin.h
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/akonadi
)

## DBus XML files
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.DebugInterface.xml
        DESTINATION ${AKONADI_DBUS_INTERFACES_INSTALL_DIR}
)

=== src/server/storage/CMakeLists.txt ===
find_program(XMLLINT_EXECUTABLE xmllint)

if(NOT XMLLINT_EXECUTABLE)
  message(STATUS "xmllint not found, skipping akonadidb.xml schema validation")
else()
  add_test(akonadidb-xmllint ${XMLLINT_EXECUTABLE} --noout --schema ${CMAKE_CURRENT_SOURCE_DIR}/akonadidb.xsd ${CMAKE_CURRENT_SOURCE_DIR}/akonadidb.xml)
  add_test(akonadidbupdate-xmllint ${XMLLINT_EXECUTABLE} --noout --schema ${CMAKE_CURRENT_SOURCE_DIR}/dbupdate.xsd ${CMAKE_CURRENT_SOURCE_DIR}/dbupdate.xml)
endif()

=== debian/changelog ===
akonadi (4:15.12.3-0ubuntu6) xenial; urgency=medium

  * kubuntu_fix_mysql_db_creation_57.diff:
    Fix MySQL DB first run setup (LP: #1572100)
    (Thanks to Lars Tangvald for the patches)
  * Add DEP3 headers for kubuntu_disable_secure_file_priv_check.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 20 Apr 2016 10:25:18 +0200

akonadi (4:15.12.3-0ubuntu5) xenial; urgency=medium

  * kubuntu_disable_secure_file_priv_check.diff: 
    - Set secure_file_priv to empty as that directory is not set in a default
      kubuntu install

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 18 Apr 2016 15:24:43 +0200

akonadi (4:15.12.3-0ubuntu4) xenial; urgency=medium

  * Bring in Robie Basak commits made in launchpad...
  * Release to archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 16 Apr 2016 12:42:02 -0700

akonadi (4:15.12.3-0ubuntu1) xenial; urgency=medium
  
  * New upstream bugfix release
      * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:44:15 -0700

akonadi (4:15.12.1-0ubuntu4) xenial; urgency=medium

  * Depend on mysql-{server,client}-core-5.7, not 5.6, for the switch to
    MySQL 5.7.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 12 Apr 2016 14:33:29 +0000

akonadi (4:15.12.1-0ubuntu3) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:11:54 +0000

akonadi (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * Fix the broken debian merge:
    - make akonadi-backend-mysql a hard-dep for akonadi-server
    - make akonadi-backend-mysql dep on mysql server core

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 10 Mar 2016 13:16:40 +0100

akonadi (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * No changes, trigger rebuild.

  [ Philip Muškovac ]
  * Merge with debian git master
  * Add postgresql 9.5 support to postgresql9.4.patch and rename it to
    postgresql9.5.patch 
  * Adapt postgresql-data-checksums.patch and postgresql9.5.patch to code
    changes

  [ Scarlett Clark ]
  * No changes, trigger rebuild with new kolab. 

  [ Scarlett Clark ]
  * Lower the breaks/replace to the version of failure for kdepimlibs-bin 
  * Add breaks/replace in archive release. 
  * Use strictly earlier than current release on break/replace for kdepimlibs-bin. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:19:51 +0100

akonadi (4:15.08.2-0ubuntu3) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 02 Dec 2015 12:20:00 +0200

akonadi (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:26 +0100

akonadi (15.08.0-1) experimental; urgency=medium

  * New upstream release (15.07.90).
  * New upstream release (15.08.0).
  * Remove upstream patches.
  * Refresh patches.
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 21:41:58 +0200

akonadi (1.13.0-8) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Aug 2015 00:41:28 +0200

akonadi (1.13.0-7) unstable; urgency=medium

  * Team upload.
  * Removed some patches introduced in previous upload due to regressions
    causing invalid SQL commands.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 12:30:32 +1000

akonadi (1.13.0-6) unstable; urgency=medium

  * Team upload.
  * New "upstream-MOVEcomplete.patch" (fixes deadlock).
  * Bunch of optimisation patches from upstream 1.13 branch.
  * Install "akonadictl.1" man page.
  * copyright: reviewed, converted to copyright-format-1.0 and updated.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 03:26:42 +1000

akonadi (1.13.0-5) unstable; urgency=medium

  * Team upload.
  * New upstream patches:
    + upstream-use-QAtomicInt.patch
    + upstream-prevent-QTimer-negative-interval.patch
  * Initialise PSQL database with "--data-checksums" (Closes: #791807).
  * Build-Depends: removed "mysql-server-core" (not needed on build time).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jul 2015 20:31:33 +1000

akonadi (1.13.0-4) unstable; urgency=medium

  * Team upload.
  * backend-mysql: depend on MySQL-5.6 or any MySQL flavour (Closes: #746651)
    Depends:
    - mysql-server-core-5.5 | mysql-server-core
    + mysql-server-core-5.6 | virtual-mysql-server-core
  * Standards-Version: 3.9.6.
  * xs-testsuite-header-in-debian-control: removed "XS-Testsuite" header.
  * Updated Vcs-Browser URL.
  * Patches renamed to consistently end with ".patch".
  * New patch to add PostgreSQL 9.4 search path (Closes: #791805).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jul 2015 23:56:38 +1000

akonadi (1.13.0-3) unstable; urgency=medium

  * Team upload.
  * Apply upstream_dont_leak_old_external_payload_files.patch which fixes a bug
    that let old files be kept when they should be removed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 30 Jun 2015 12:03:32 -0300

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                shared-mime-info (>= 0.20),
                xsltproc
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://pim.kde.org/akonadi
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akonadi.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akonadi.git
@@ -31,6 +30,8 @@
 Depends: akonadi-backend-mysql (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: kdepimlibs-bin (<< 15.12.1~)
+Replaces: kdepimlibs-bin (<< 15.12.1~)
 Suggests: akonadi-backend-postgresql (= ${source:Version}),
           akonadi-backend-sqlite (= ${binary:Version})
 Description: Akonadi PIM storage service
@@ -55,6 +56,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5akonadiprivate5 (= ${binary:Version}), ${misc:Depends}
+Breaks: libakonadi-dev
+Replaces: libakonadi-dev
 Description: development files for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -67,8 +70,8 @@
 Section: misc
 Architecture: all
 Depends: libqt5sql5-mysql,
-         mysql-client-core-5.6 | virtual-mysql-client-core,
-         mysql-server-core-5.6 | virtual-mysql-server-core,
+         mysql-client-core-5.7 | virtual-mysql-client-core,
+         mysql-server-core-5.7 | virtual-mysql-server-core,
          ${misc:Depends}
 Recommends: akonadi-server
 Replaces: akonadi-server (<< 1.3.60~)

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi
+	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
+	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON
 
 override_dh_installinit:
 	$(overridden_command)

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libxml2-utils
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr allow-stderr

=== debian/watch ===
version=3

http://download.kde.org/stable/applications/([\d.]+)/src/akonadi-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/akonadi-([\d.]+).tar.xz
